### Method

# FwupdPlugin PathStore add_program_path

since: 2.1.5

#### Declaration [src]

    void
    fu_path_store_add_program_path (
      FuPathStore* self,
      const gchar* path
    )

#### Description [src]

Sets a possible program path.

If the directory does not exist it is ignored.

Available since: 2.1.5

#### Parameters

`path`

  Type: `const gchar*`

  Directory name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.